Bug 8251 - Hangs when loading shared lib symbols
Hangs when loading shared lib symbols
Product: Red Hat Raw Hide
Classification: Retired
Component: gdb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-01-06 20:42 EST by Brian Ryner
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-07 14:01:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Ryner 2000-01-06 20:42:37 EST
In gdb-4.18-6, I am seeing problems when loading shared library symbols,
from certain libraries especially.  This is when using the "sharedlibrary"
command from inside gdb.  gdb just hangs while reading the symbols.
gdb-4.18-4 does NOT seem to have this problem.  It may or may not be
related to the fact that I just switched CPU's in my machine, from a
Pentium/MMX 233 to an AMD K6-2/400.  I had been successfully using 4.18-6
on this program (mozilla) prior to changing the CPU, but I've also updated
the code since then, so either one could be to blame.
Comment 1 Jim Kingdon 2000-01-07 14:01:59 EST
Not a lot to be done without a test case.  Feel to submit one, either
here in bugzilla (as an attachment) or directly to the GDB maintainers
at http://sourceware.cygnus.com/gdb/

Note You need to log in before you can comment on or make changes to this bug.